org.keycloak.models.sessions.infinispan.entities

## Class LoginFailureEntity

- java.lang.Object
- - org.keycloak.models.sessions.infinispan.entities.SessionEntity
  - - org.keycloak.models.sessions.infinispan.entities.LoginFailureEntity

- All Implemented Interfaces:
    Serializable

      @SerializeWith(value=LoginFailureEntity.ExternalizerImpl.class)
      public class LoginFailureEntity
      extends SessionEntity

  Author:
    Stian Thorgersen
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `LoginFailureEntity.ExternalizerImpl`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LoginFailureEntity()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clearFailures()`
    `boolean` | `equals(Object o)`
    `int` | `getFailedLoginNotBefore()`
    `long` | `getLastFailure()`
    `String` | `getLastIPFailure()`
    `int` | `getNumFailures()`
    `String` | `getUserId()`
    `int` | `hashCode()`
    `void` | `setFailedLoginNotBefore(int failedLoginNotBefore)`
    `void` | `setLastFailure(long lastFailure)`
    `void` | `setLastIPFailure(String lastIPFailure)`
    `void` | `setNumFailures(int numFailures)`
    `void` | `setUserId(String userId)`
    `String` | `toString()`

    - ### Methods inherited from class org.keycloak.models.sessions.infinispan.entities.SessionEntity

      `getRealmId, mergeRemoteEntityWithLocalEntity, setRealmId`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### LoginFailureEntity

          public LoginFailureEntity()

  - ### Method Detail

    - #### getUserId

          public String getUserId()

    - #### setUserId

          public void setUserId(String userId)

    - #### getFailedLoginNotBefore

          public int getFailedLoginNotBefore()

    - #### setFailedLoginNotBefore

          public void setFailedLoginNotBefore(int failedLoginNotBefore)

    - #### getNumFailures

          public int getNumFailures()

    - #### setNumFailures

          public void setNumFailures(int numFailures)

    - #### getLastFailure

          public long getLastFailure()

    - #### setLastFailure

          public void setLastFailure(long lastFailure)

    - #### getLastIPFailure

          public String getLastIPFailure()

    - #### setLastIPFailure

          public void setLastIPFailure(String lastIPFailure)

    - #### clearFailures

          public void clearFailures()

    - #### equals

          public boolean equals(Object o)

      Specified by:
        `equals` in class `SessionEntity`

    - #### hashCode

          public int hashCode()

      Specified by:
        `hashCode` in class `SessionEntity`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2021 JBoss by Red Hat. All rights reserved.